Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Class OAIResponseImpl

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.oai.OAIObjectImpl
                      fr.gouv.culture.oai.OAIResponseImpl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, OAIResponse, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class OAIResponseImpl
extends OAIObjectImpl
implements OAIResponse

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary
`protected boolean` | `paramsError`
`protected OAIRepository` | `repository` The repository to which the request will be dispatched
`protected OAIRequest` | `request` The request to the repository
`protected java.lang.String` | `resumptionToken` The resumptionToken, if any in response

Fields inherited from class fr.gouv.culture.oai.OAIObjectImpl
`_context, logger`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Constructor Summary
`OAIResponseImpl()`

Method Summary
`protected void` | `beginOaiEnvelopeEvents()` Sends the start of the oai envelope
`protected void` | `endOaiEnvelopeEvents()` Ends the start of the oai envelope
`protected void` | `endOaiRootElement()` Ends the oai-pmh root element
`OAIRepository` | `getRepository()` Retrieves the repository
`OAIRequest` | `getRequest()` Retrieves the request
`java.lang.String` | `getResumptionToken()`
`protected void` | `sendRequestEvents(boolean sendRequestParams)` Sends the request event
`void` | `sendResponse()` Executes the request and sends the response (SAX flow) to the consumer using the request and the repository provided
`protected void` | `sendResponseDate()` Sends teh response date element
`void` | `setRepository(OAIRepository repository)` Establishes the class field for use
`void` | `setRequest(OAIRequest request)` Establishes the request
`protected void` | `setResumptionToken(java.lang.String rt)`
`protected void` | `startOaiRootElement()` Sends the oai-pmh root element
`void` | `toSAX(org.xml.sax.ContentHandler contentHandler)` Just calls sendResponse()
`protected boolean` | `verifyParameters()` Verifies the parameters against any expectations of the repository

Methods inherited from class fr.gouv.culture.oai.OAIObjectImpl
`contextualize, enableLogging, endElement, getContext, sendElement, sendElementContent, startElement`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### request

    protected OAIRequest request

  The request to the repository

### repository

    protected OAIRepository repository

  The repository to which the request will be dispatched

### resumptionToken

    protected java.lang.String resumptionToken

  The resumptionToken, if any in response

### paramsError

    protected boolean paramsError

Constructor Detail

### OAIResponseImpl

    public OAIResponseImpl()

Method Detail

### setResumptionToken

    protected void setResumptionToken(java.lang.String rt)

### getResumptionToken

    public java.lang.String getResumptionToken()

### setRepository

    public void setRepository(OAIRepository repository)

  Establishes the class field for use

  Specified by:
    `setRepository` in interface `OAIResponse`

### getRepository

    public OAIRepository getRepository()

  Retrieves the repository

  Specified by:
    `getRepository` in interface `OAIResponse`

### setRequest

    public void setRequest(OAIRequest request)

  Establishes the request

  Specified by:
    `setRequest` in interface `OAIResponse`
  Parameters:
    `request` - The request object

### getRequest

    public OAIRequest getRequest()

  Retrieves the request

  Specified by:
    `getRequest` in interface `OAIResponse`

### sendResponse

    public void sendResponse()
                      throws org.xml.sax.SAXException

  Executes the request and sends the response (SAX flow) to the consumer using the request and the repository provided

  Specified by:
    `sendResponse` in interface `OAIResponse`
  Throws:
    `org.xml.sax.SAXException`

### toSAX

    public void toSAX(org.xml.sax.ContentHandler contentHandler)
               throws org.xml.sax.SAXException

  Just calls sendResponse()

  Specified by:
    `toSAX` in interface `org.apache.excalibur.xml.sax.XMLizable`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `this.sendResponse()`

### beginOaiEnvelopeEvents

    protected void beginOaiEnvelopeEvents()
                                   throws org.xml.sax.SAXException

  Sends the start of the oai envelope

  Throws:
    `org.xml.sax.SAXException`

### endOaiEnvelopeEvents

    protected void endOaiEnvelopeEvents()
                                 throws org.xml.sax.SAXException

  Ends the start of the oai envelope

  Throws:
    `org.xml.sax.SAXException`

### startOaiRootElement

    protected void startOaiRootElement()
                                throws org.xml.sax.SAXException

  Sends the oai-pmh root element

  Throws:
    `org.xml.sax.SAXException`

### endOaiRootElement

    protected void endOaiRootElement()
                              throws org.xml.sax.SAXException

  Ends the oai-pmh root element

  Throws:
    `org.xml.sax.SAXException`

### sendResponseDate

    protected void sendResponseDate()
                             throws org.xml.sax.SAXException

  Sends teh response date element

  Throws:
    `org.xml.sax.SAXException`

### sendRequestEvents

    protected void sendRequestEvents(boolean sendRequestParams)
                              throws org.xml.sax.SAXException

  Sends the request event

  Parameters:
    `sendRequestParams` - Whether or not to send the parameters of the request (according to error state)
  Throws:
    `org.xml.sax.SAXException`

### verifyParameters

    protected boolean verifyParameters()
                                throws org.xml.sax.SAXException

  Verifies the parameters against any expectations of the repository

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.